import XLSX from 'xlsx'
import { o2s, s2o } from './number26'

export function read(file) {
  return new Promise((resolve, reject) => {

    const reader = new FileReader()
    reader.onload = (e) => {
      const data = new Uint8Array(e.target.result)
  
      const workbook = XLSX.read(data, {type: 'array'})
      resolve(workbook)
    }
    reader.readAsArrayBuffer(file);
  })
}

export function getRangeOfSheet(sheet) {
  const [from, to] = sheet['!ref'].split(':')

  const startCol = (/[a-zA-Z]+/.exec(from) || [])[0]
  const endCol = (/[a-zA-Z]+/.exec(to) || [])[0]
  const startRow = (/\d+/.exec(from) || [])[0]
  const endRow = (/\d+/.exec(to) || [])[0]

  return {
    startCol,
    endCol,
    startRow,
    endRow,
  }
}

export function getAllCols(start, end) {
  const i = s2o(start);
  const j = s2o(end);
  const len = j - i + 1;

  return (new Array(len)).fill('*').map((_, inx) => o2s(inx + i))
}
