import React, { useRef, useState } from 'react';
import { PageContainer } from '@ant-design/pro-layout';
import { Card, Space, Tabs } from 'antd';
import School from '@/components/School';
import Excel from './DoExcel';
import Pdf from './DoPdf';

export default (props) => {
  
  const [schoolId, setSchoolId] = useState()

  return (
    <PageContainer>
      <Space direction="vertical" size="large" style={{width: '100%'}}>
        <Card>
          <Space direction="horizontal" size="large">
            <School
              autoDefault={false}
              value={schoolId}
              onChange={setSchoolId}
              allowClear
              style={{width: '300px'}}
              placeholder="请选择学校"
            ></School>
          </Space>
        </Card>

        <Card>
          <Tabs defaultActiveKey="1">
            <Tabs.TabPane tab="上传 Excel" key="1">
              <Excel schoolId={schoolId} />
            </Tabs.TabPane>
            <Tabs.TabPane tab="上传 pdf"  key="2">
              <Pdf schoolId={schoolId} />
            </Tabs.TabPane>
          </Tabs>
        </Card>
      </Space>
    </PageContainer>
  )
}
