import React from 'react'
import { Drawer } from 'antd'
import PointNum from './PointNum'
import ReadedNum from './ReadedNum'
import SaveNum from './SaveNum'

export default (props) => {
  const toggleVisible = (target, visible) => {
    props.onClose({
      ...props.visible,
      [target]: visible,
    })
  }

  const custDrawerProp = {
    placement: 'right',
    width: '60vw',
  }

  return (
    <>
      <Drawer
        title="积分记录"
        visible={props.visible.points}
        onClose={() => toggleVisible('points', false)}
        {...custDrawerProp}
      >
        <PointNum personId={props.student?.personId} />
      </Drawer>
      <Drawer
        title="阅读"
        visible={props.visible.readed}
        onClose={() => toggleVisible('readed', false)}
        {...custDrawerProp}
      >
        <ReadedNum personId={props.student?.personId} />
      </Drawer>
      <Drawer
        title="收藏"
        visible={props.visible.saved}
        onClose={() => toggleVisible('saved', false)}
        {...custDrawerProp}
      >
        <SaveNum personId={props.student?.personId} />
      </Drawer>
    </>
  )
}
