import React, { useEffect, useState } from 'react';
import { connect, history } from 'umi';
import { Row, Col, Card, Space, notification, Statistic } from 'antd';
// import { PageContainer } from '@ant-design/pro-layout';
import ProTable from '@ant-design/pro-table';
// import ProCard from '@ant-design/pro-card';
import request, { queryTable } from '@/utils/request';

const SaveNum = (props) => {
  const [person, setPerson] = useState()

  const columns = [
    {
      title: '科普名称',
      key: 'targetName',
      dataIndex: 'targetName',
    },
    {
      title: '积分',
      key: 'pointsNum',
      dataIndex: 'pointsNum',
    },
    {
      title: '获取时间',
      key: 'createDate',
      dataIndex: 'createDate',
      valueType: 'dateTime',
    },
  ];

  useEffect(() => {
    request(`/person/${props.personId}`).then(res => {
      setPerson(res)
    }).catch((err) => {
      notification.error({ message: err.message })
    })
  }, [props.personId])

  return (
    // <PageContainer
    //   header={{
    //     extra: [
    //       <Button key="1" onClick={() => history.go('-1')}>
    //         返回
    //       </Button>,
    //     ],
    //   }}
    // >
      <div>
        <Card style={{marginBottom: '2em'}} bordered={false}>
          <Row gutter={24}>
            <Col span={12}>
              <Statistic title="姓名" value={person?.nickName} />
            </Col>
            <Col span={12}>
              <Statistic title="积分" value={person?.personData?.pointNum} />
            </Col>
          </Row>
        </Card>

        <ProTable
          columns={columns}
          search={false}
          params={{ personId: props.personId }}
          request={queryTable('/points-log')}
          rowKey="serialNo"
          options={false}
        />
      </div>
    // </PageContainer>
  );
};

export default SaveNum