import React, { useState, useEffect } from 'react'
import { Image, Statistic, Spin, Badge } from 'antd'
import { connect } from 'umi'
import request from '@/utils/request'
import { defaultAvatar } from '@/utils/utils';
import Styles from '../style.less'

const HeaderContent = (props) => {
  const [loading, setLoading] = useState(false)
  const [statis, setStatis] = useState({})

  useEffect(() => {
    setLoading(true)
    request('/index/post-data').then((res) => {
      setStatis(res)
      setLoading(false)
    }).catch((e) => {
      setLoading(false)
    })
  }, [])

  return (
    <div className={Styles['header-content']}>
      <div className={Styles['ctt-header']}>
        <Image width="100%" src={props.user.avatar || defaultAvatar} />
      </div>
      <div className={Styles['ctt-body']}>
        <h3>{`你好, ${props.user.userName}, 祝你开心每一天！`}</h3>
        <p>
          <span className={Styles['sub-title']}>{`登录名: ${props.user.loginName}`}</span>
          <span className={Styles['sub-title']}>状态: 正常 <Badge status="success" /></span>
        </p>
      </div>
      <div className={Styles['ctt-footer']}>
        <Spin spinning={loading}>
          <div className={Styles['st-wrapper']}>
            <div className={Styles['st-item']}><Statistic title="科普数量" value={statis.total} /></div>
            <div className={Styles['st-item']}><Statistic title="浏览总数" value={statis.pv} /></div>
            <div className={Styles['st-item']}><Statistic title="学生总数" value={statis.student} /></div>
          </div>
        </Spin>
      </div>
    </div>
  )
}

export default connect((s) => ({ user: s.user.currentUser }))(HeaderContent)